/*
 * jQuery Drop Down panel menu v.1
 * 
 * Copyright (c) 2011 Pieter Pareit
 *
 * http://www.scriptbreaker.com
 *
 */
(function($){
	$.fn.extend({

	dropDownPanels: function(options) {

		var defaults = {
			speed: 10,
			resetTimer: 500
		};

		var opts = $.extend(defaults, options);
		var $this = $(this);

		var closetimer;
 		
		function resetMenu()
		{
			$this.find(".hover").removeClass("hover");
			$this.find(".submenu:visible").slideUp(opts.speed);
		}

		function activateTimer()
		{
			closetimer = window.setTimeout(resetMenu, opts.resetTimer);
		}

		function cancelTimer()
		{
			if(closetimer)
			{
				window.clearTimeout(closetimer);
				closetimer = null;
			}
		}

		$this.find("> li").hover(function() {
			cancelTimer();
		}, function() {
			activateTimer();
		}).click(function() {
			cancelTimer();
			if(!$(this).find(".submenu").is(":visible"))
			{
				$(this).parent().find(".hover").removeClass("hover");
				$(this).parent().find(".submenu:visible").hide();
				if($(this).has(".submenu"))
				{
					$(this).find(".submenu").slideDown(opts.speed);
					$(this).find("a:first").addClass("hover");
				}
			}
			else
			{
				$(".submenu").hide();
			}
		});
	}
});
})(jQuery);